/* $Id: extern.h,v 1.3 94/05/25 07:49:25 bert Exp $ */

/* we need headers for declarations */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>

/* ULTRIX is broken: these things are apparently declared nowhere */
#ifdef ultrix

extern int strcasecmp(char*, char*);
extern int strncasecmp(char*, char*, size_t);

extern void bzero(char*, int);

extern int select(int, fd_set*, fd_set*,  fd_set*, struct timeval*);
extern int socket(int, int, int);
extern int bind(int, struct sockaddr*, int);
extern int listen(int, int);
extern int accept(int, struct sockaddr*, int*);
extern int connect(int, struct sockaddr*, int);

extern unsigned long inet_addr(char*);

extern pid_t fork(void);
extern pid_t setsid(void);
#endif ultrix

/* syslog.h doesn't declare those */

extern void syslog(int, const char*, ...);
extern void openlog(char*, int, int);
extern void closelog(void);
